/*
 * matutil.h
 */

#ifndef MATUTIL
#define MATUTIL

#include <stdio.h>
#include <stdlib.h>

#ifndef SCALAR
#define SCALAR double
#endif

typedef SCALAR *vector, **matrix;

vector newvec();
matrix newmat();
vector new_vector();
matrix new_matrix();
void free_vector();
void free_matrix();
double innerproduct();
void vecprint();
void matprint();
#endif
